Bug 1313132

Summary: Poor dnf error message: "Error: conflicting requests"
Product: [Fedora] Fedora Reporter: Eric Biggers <ebiggers3>
Component: dnfAssignee: Packaging Maintenance Team <packaging-team-maint>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: jmracek, jsilhan, mluscon, packaging-team-maint, pnemade, vmukhame
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-07 13:03:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eric Biggers 2016-03-01 03:22:08 UTC
Run:

dnf install --allowerasing kernel-4.2.3

Expected result:

DNF either installs the package, or clearly indicates why the package cannot be installed.

Actual result:

    Last metadata expiration check performed 2:00:05 ago on Mon Feb 29 19:18:59 2016.
    Error: conflicting requests

This is not an acceptable error message; it contains very little useful information.

Comment 1 Jaroslav Mracek 2016-03-07 13:03:54 UTC

*** This bug has been marked as a duplicate of bug 1191611 ***